## List Invoices

### cURL

```bash
curl --request GET \
  --url https://api.withflex.com/v1/invoices \
  --header 'Authorization: Bearer <token>'
```

### Python

```python
import requests

url = "https://api.withflex.com/v1/invoices"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.withflex.com/v1/invoices', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.withflex.com/v1/invoices",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.withflex.com/v1/invoices"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Java (Unirest)

```java
HttpResponse<String> response = Unirest.get("https://api.withflex.com/v1/invoices")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.withflex.com/v1/invoices")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### HTTP Status Codes

- **200** - Successful request
- **401** - Unauthorized
- **403** - Forbidden
- **404** - Not Found
- **409** - Conflict
- **422** - Unprocessable Entity
- **429** - Too Many Requests

### Example Response

```json
{
  "invoices": [
    {
      "invoice_id": "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "total": 2500,
      "amount_due": 2500,
      "amount_paid": 2500,
      "charge": "fch_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "status": "draft",
      "collection_method": "charge_automatically",
      "test_mode": false,
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "created_at": "2026-06-15T14:30:00Z"
    }
  ]
}
```

### Error Response Example

```json
{
  "code": "string",
  "detail": "string"
}
```

### Query Parameters
- **expand** (string): Comma-separated list of objects to expand in the response. Default: ""
- **customer** (string | null): Filter invoices by customer ID. Example: "fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- **starting_after** (string | null): Cursor for pagination. Example: "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- **ending_before** (string | null): Cursor for pagination. Example: "fin_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
- **limit** (integer<int32> | null): Limit on the number of returned objects. Range: 1-100, default is 20.
